var citiesMap = {};
var officesMap = {};
var YMapLoaded = false;
var YMap;

function initData(){
	citiesMap = {
	'KMS' : {'NAME' : '--', 'X' : 137.019053, 'Y' : 50.553798, 'ZOOM' : 16, 'MT' : YMaps.MapType.PMAP , 'MTS' : [YMaps.MapType.PMAP, YMaps.MapType.PHYBRID], 'MTSH' : [], 'MTSO' : {}, 'FILE' : 'royal-bank.ru/common/ymaps/kms.xml'},
	'KHB' : {'NAME' : '', 'X' : 135.072104, 'Y' : 48.48532, 'ZOOM' : 16, 'MT' : YMaps.MapType.MAP , 'MTS' : [YMaps.MapType.MAP,YMaps.MapType.SATELLITE,YMaps.MapType.HYBRID,(YMaps.MapType.PMAP.getName=function(){return""},YMaps.MapType.PMAP)], 'MTSH' : [0,1,2,3], 'MTSO' : {'caption' : ''}, 'FILE' : 'royal-bank.ru/common/ymaps/khb.xml'},
	'VLD' : {'NAME' : '', 'X' : 131.919807, 'Y' : 43.128475, 'ZOOM' : 17, 'MT' : YMaps.MapType.MAP , 'MTS' : [YMaps.MapType.MAP,YMaps.MapType.SATELLITE,YMaps.MapType.HYBRID,(YMaps.MapType.PMAP.getName=function(){return""},YMaps.MapType.PMAP)], 'MTSH' : [0,1,2,3], 'MTSO' : {'caption' : ''}, 'FILE' : 'royal-bank.ru/common/ymaps/vld.xml'},
	'NHD' : {'NAME' : '', 'X' : 132.891991, 'Y' : 42.823483, 'ZOOM' : 16, 'MT' : YMaps.MapType.PMAP , 'MTS' : [YMaps.MapType.PMAP, YMaps.MapType.PHYBRID], 'MTSH' : [], 'MTSO' : {}, 'FILE' : 'royal-bank.ru/common/ymaps/nhd.xml'},
	'USS' : {'NAME' : '', 'X' : 131.95976, 'Y' : 43.787975, 'ZOOM' : 16, 'MT' : YMaps.MapType.PMAP , 'MTS' : [YMaps.MapType.PMAP, YMaps.MapType.PHYBRID], 'MTSH' : [], 'MTSO' : {}, 'FILE' : 'royal-bank.ru/common/ymaps/uss.xml'},
	'ART' : {'NAME' : '', 'X' : 131.95976, 'Y' : 43.787975, 'ZOOM' : 16, 'MT' : YMaps.MapType.PMAP , 'MTS' : [YMaps.MapType.PMAP, YMaps.MapType.PHYBRID], 'MTSH' : [], 'MTSO' : {}, 'FILE' : 'royal-bank.ru/common/ymaps/art.xml'}	
	};

	officesMap = {
	'KMS' : {
		'PART_15' : {'X' : 137.019053, 'Y' : 50.553798, 'IC' : " \"  \"<br>. , 15" , 'NAME' :  " \"  \"<br>. , 15", 'DESCR' : "  0001<br> <br> \"  \"<br>. , 15", 'ZOOM' : 17},
		'LEN_47' : {'X' : 136.991895, 'Y' : 50.540495, 'IC' : " \"  \"<br>. , 47" , 'NAME' :  " \"  \"<br>. , 47", 'DESCR' : "  0003 <br> <br> \"  \"<br>. , 47", 'ZOOM' : 17},
		'VOK_48' : {'X' : 136.988534, 'Y' : 50.54666, 'IC' : " \"  \"<br>. , 48" , 'NAME' :  " \"  \"<br>. , 48", 'DESCR' : "  0004 <br> <br> \"  \"<br>. , 48", 'ZOOM' : 17},
		'POB_22_7' : {'X' : 137.06017, 'Y' : 50.589449, 'IC' : " \"  \"<br>. , 22/7" , 'NAME' :  " \"  \"<br>. , 22/7", 'DESCR' : "  0005 <br> <br> \"  \"<br>. , 22/7", 'ZOOM' : 17},
		'SOV_1' : {'X' : 137.079624, 'Y' : 50.585823, 'IC' : " \"  \"<br>. , 1" , 'NAME' :  " \"  \"<br>. , 1", 'DESCR' : "  0005 <br> <br> \"  \"<br>. , 1", 'ZOOM' : 17}
		},
	'KHB' : {
		'LT_8A' : {'X' : 135.072104, 'Y' : 48.48532, 'IC' : " \"  \"<br>.  , 8" , 'NAME' : " \"  \"<br>.  , 8", 'DESCR' : "  0401<br>   \"  \"<br>.  , 8", 'ZOOM' : 17},
		'MA_11' : {'X' : 135.060715, 'Y' : 48.474725, 'IC' : " \"  \"<br>. -, 11" , 'NAME' : " \"  \"<br>. -, 11", 'DESCR' : "  0409<br>   \"  \"<br>. -, 11", 'ZOOM' : 17},
		'SER_21' : {'X' : 135.061031, 'Y' : 48.48664, 'IC' : " \"  \"<br>. , 21" , 'NAME' : " \"  \"<br>. , 9", 'DESCR' : "  0402<br>   \"  \"<br>. , 21", 'ZOOM' : 17},
		'TO_201V' : {'X' : 135.041428, 'Y' : 48.543908, 'IC' : " \"  \"<br>. , 201" , 'NAME' : " \"  \"<br>. , 201", 'DESCR' : "  0403<br>   \"  \"<br>. , 201", 'ZOOM' : 17},
		'KM_126' : {'X' : 135.103771, 'Y' : 48.500728, 'IC' : " \"  \"<br>.  , 126" , 'NAME' : " \"  \"<br>.  , 126", 'DESCR' : "  0407<br>   \"  \"<br>. , 11", 'ZOOM' : 17},
		'SUV_45' : {'X' : 135.108945, 'Y' : 48.393232, 'IC' : " \"  \"<br>. , 45" , 'NAME' : " \"  \"<br>. , 45", 'DESCR' : "  0408<br>   \"  \"<br>. , 45", 'ZOOM' : 17},
		'LEN_70' : {'X' : 135.092785, 'Y' : 48.482403, 'IC' : " \"  \"<br>. , 70" , 'NAME' : " \"  \"<br>. , 70", 'DESCR' : "  0404<br>   \"  \"<br>. , 70", 'ZOOM' : 17}
		},
	'VLD' : {
		'NAR_20' : {'X' : 131.919807, 'Y' : 43.128475, 'IC' : " \"  \"<br> -, 20" , 'NAME' : " \"  \"<br> -, 20", 'DESCR' : "   \"  \"<br> -, 20", 'ZOOM' : 17},
		'OCE_17' : {'X' : 131.88666, 'Y' : 43.119552, 'IC' : " \"  \"<br> -, 17" , 'NAME' : " \"  \"<br> -, 17", 'DESCR' : "  0107  \"  \"<br> -, 17", 'ZOOM' : 17},
		'BOR_9' : {'X' : 131.94191, 'Y' : 43.101916, 'IC' : " \"  \"<br>. , 9" , 'NAME' : " \"  \"<br>. , 9", 'DESCR' : "  0106  \"  \"<br>. , 9", 'ZOOM' : 17},
		'100_L_47' : {'X' : 131.909052, 'Y' : 43.153385, 'IC' : " \"  \"<br>- 100  , 47" , 'NAME' : " \"  \"<br>- 100  , 47", 'DESCR' : "  0105  \"  \"<br>- 100  , 47", 'ZOOM' : 17},
		'KRZ_78' : {'X' : 131.911698, 'Y' : 43.126238, 'IC' : " \"  \"<br>-  , 78" , 'NAME' : " \"  \"<br>-  , 78", 'DESCR' : "  0104  \"  \"<br>-  , 78", 'ZOOM' : 17},
		'KOS_29' : {'X' : 131.915399, 'Y' : 43.093156, 'IC' : " \"  \"<br>. , 29" , 'NAME' : " \"  \"<br>. , 29", 'DESCR' : "  0108  \"  \"<br>. , 29", 'ZOOM' : 17},
		'100_L_155' : {'X' : 131.917555, 'Y' : 43.178924, 'IC' : " \"  \"<br>- 100  , 155" , 'NAME' : " \"  \"<br>- 100  , 155", 'DESCR' : "  0109  \"  \"<br>- 100  , 155", 'ZOOM' : 17},
		'RUS_70' : {'X' : 131.923376, 'Y' : 43.168904, 'IC' : " \"  \"<br>. , 70" , 'NAME' : " \"  \"<br>. , 70", 'DESCR' : "  0110  \"  \"<br>. , 70", 'ZOOM' : 17}
		},
	'NHD' : {
		'NHD_11' : {'X' : 132.891991, 'Y' : 42.823483, 'IC' : " \"  \"<br> -, 11" , 'NAME' : " \"  \"<br> -, 11", 'DESCR' : "  0202  \"  \"<br> -, 11", 'ZOOM' : 17},
		'GAG_10' : {'X' : 132.865362, 'Y' : 42.79258, 'IC' : " \"  \"<br>. , 10" , 'NAME' : " \"  \"<br>. , 10", 'DESCR' : "  0204  \"  \"<br>. , 10", 'ZOOM' : 17},
		'PST_8' : {'X' : 132.898517, 'Y' : 42.835388, 'IC' : " \"  \"<br>. , 8" , 'NAME' : " \"  \"<br>. , 8", 'DESCR' : "  0205  \"  \"<br>. , 8", 'ZOOM' : 17},
		'LEN_7' : {'X' : 132.869167, 'Y' : 42.810288, 'IC' : " \"  \"<br>. , 7" , 'NAME' : " \"  \"<br>. , 7", 'DESCR' : "  0206  \"  \"<br>. , 7", 'ZOOM' : 17}
		},
	'USS' : {
		'KRZ_49' : {'X' : 131.95976, 'Y' : 43.787975, 'IC' : " \"  \"<br>. , 49" , 'NAME' : " \"  \"<br>. , 49", 'DESCR' : "  0301  \"  \"<br>. , 49", 'ZOOM' : 17},
		'CHI_83' : {'X' : 131.953119, 'Y' : 43.791348, 'IC' : " \"  \"<br>. , 83" , 'NAME' : " \"  \"<br>. , 83", 'DESCR' : "  0302  \"  \"<br>. , 83", 'ZOOM' : 17},
		'VET_2' : {'X' : 131.982537, 'Y' : 43.810083, 'IC' : " \"  \"<br>. , 2" , 'NAME' : " \"  \"<br>. , 2", 'DESCR' : "  0303  \"  \"<br>. , 2", 'ZOOM' : 17},
		'B_KALININA_39' : {'X' : 131.956981, 'Y' : 43.788263, 'IC' : "<br>. , 39" , 'NAME' : "<br>. , 39", 'DESCR' : "<br>. , 39", 'ZOOM' : 17},
		'GOR_47' : {'X' : 131.943130, 'Y' : 43.797442, 'IC' : " \"  \"<br>., 47" , 'NAME' : " \"  \"<br>., 47", 'DESCR' : "  0304  \"  \"<br>., 47", 'ZOOM' : 17},
		'NEK_53' : {'X' : 131.952265, 'Y' : 43.794156, 'IC' : " \"  \"<br>. , 53" , 'NAME' : " \"  \"<br>. , 53", 'DESCR' : "  0305  \"  \"<br>. , 53", 'ZOOM' : 17}
		},
	'ART' : {
		'FRU_58' : {'X' : 132.175128, 'Y' : 43.352751, 'IC' : " \"  \"<br>. , 58" , 'NAME' : " \"  \"<br>. , 58", 'DESCR' : " \"  \"<br>. , 58", 'ZOOM' : 17}		}
	
	};
}

function initYMap(divid, city, width, height){
	initData();
	YMap = new YMaps.Map(document.getElementById(divid));
	mapEl = YMaps.jQuery("#YMapsID");
	mapEl.css("display", "");
	mapEl.css("width", width);
	mapEl.css("height", height);
	cityData = citiesMap[city];
	YMap.setType(cityData['MT']);
	YMap.setCenter(new YMaps.GeoPoint(cityData['X'], cityData['Y']), cityData['ZOOM']);
	YMap.addControl(new YMaps.TypeControl(cityData['MTS'], cityData['MTSH'], cityData['MTSO']));
	YMap.addControl(new YMaps.ToolBar());
	YMap.addControl(new YMaps.Zoom());
	YMap.addControl(new YMaps.MiniMap());
	YMap.addControl(new YMaps.ScaleLine());
	YMap.addControl(new YMaps.SearchControl());
	cityOffices = officesMap[city];
	var ml = new YMaps.YMapsML(cityData['FILE']);
	YMap.addOverlay(ml);
/*
	for (var key in cityOffices){
		var placemark  = new YMaps.Placemark(new YMaps.GeoPoint(cityOffices[key]['X'], cityOffices[key]['Y']));
		placemark.setIconContent(cityOffices[key]['IC']);
		placemark.name = cityOffices[key]['NAME'];
		placemark.description  = cityOffices[key]['DESCR'];
		YMap.addOverlay(placemark);
	}
*/
	YMapLoaded = true;
}

function showOnYMap(divid, city, office){
	if (YMapLoaded){
		var ht = $("#" + divid).height();
		var htDoc = $(window).height();
		if ( $("#"+divid).offset().top + ht > $(window).scrollTop() + htDoc )
			$('html, body').animate({ scrollTop: $("#" + divid).offset().top - (htDoc - ht) + 20 }, 1000);
		officeData = officesMap[city][office];
	
		YMap.setZoom(officeData['ZOOM']);
		YMap.panTo(new YMaps.GeoPoint(officeData['X'], officeData['Y']), { flying: 100 });
		}
	else{
		alert('  . ,  ...');
	}
	return false;
}